com.google.cloud.dataflow.sdk.runners

## Interface DirectPipelineRunner.TransformEvaluator<TransformT extends PTransform>

Enclosing class:
  DirectPipelineRunner

    public static interface DirectPipelineRunner.TransformEvaluator<TransformT extends PTransform>

An evaluator of a PTransform.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `evaluate(TransformT transform, DirectPipelineRunner.EvaluationContext context)`

### Method Detail

#### evaluate

    void evaluate(TransformT transform,
                  DirectPipelineRunner.EvaluationContext context)